Sql Managed Instances - List

List sqlManagedInstance resources in the subscription

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.AzureArcData/sqlManagedInstances?api-version=2026-01-01

URI Parameters

Name In Required Type Description
subscriptionId
path True

string

The ID of the Azure subscription

api-version
query True

string

The API version to use for the request

Responses

Name Type Description
200 OK

SqlManagedInstanceListResult

OK

Other Status Codes

ErrorResponse

*** Error Responses: ***

  • 400 InvalidParameterValue - An invalid value was given to parameter.

  • 400 InvalidCrossSubscriptionVmMove - Invalid cross subscription move of resource.

  • 404 ResourceNotFound - The requested resource was not found.

Examples

Gets all SQL Instance in a subscription.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.AzureArcData/sqlManagedInstances?api-version=2026-01-01

Sample response

{
  "value": [
    {
      "properties": {
        "admin": "Admin user",
        "startTime": "Instance start time",
        "endTime": "Instance end time",
        "basicLoginInformation": {
          "username": "username"
        },
        "activeDirectoryInformation": {
          "keytabInformation": {}
        },
        "licenseType": "LicenseIncluded",
        "clusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s",
        "extensionId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s/providers/Microsoft.KubernetesConfiguration/extensions/extension",
        "k8sRaw": {
          "additionalProperty": 1234,
          "spec": {
            "replicas": 1,
            "scheduling": {
              "default": {
                "resources": {
                  "requests": {
                    "cpu": "1",
                    "memory": "8Gi",
                    "additionalProperty": "additionalValue"
                  },
                  "limits": {
                    "cpu": "1",
                    "memory": "8Gi",
                    "additionalProperty": "additionalValue"
                  }
                }
              }
            },
            "security": {
              "adminLoginSecret": "test-sql-login-secret",
              "serviceCertificateSecret": "Service Certificate Secret",
              "activeDirectory": {
                "connector": {
                  "name": "Name of connector",
                  "namespace": "Namespace of connector"
                },
                "accountName": "Account name",
                "keytabSecret": "Key tab secret of account",
                "encryptionTypes": [
                  "Encryption type item1, Encryption type item2,..."
                ]
              },
              "transparentDataEncryption": {
                "mode": "SystemManaged"
              }
            },
            "settings": {
              "network": {
                "forceencryption": 0,
                "tlsciphers": "ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES128-SHA256:ECDHE-RSA-AES256-SHA384",
                "tlsprotocols": "1.2"
              }
            }
          }
        }
      },
      "location": "northeurope",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.ExtendedLocation/customLocations/arclocation"
      },
      "systemData": {
        "createdBy": "user1",
        "createdByType": "User",
        "createdAt": "2020-01-01T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
      },
      "tags": {
        "mytag": "myval"
      },
      "sku": {
        "name": "vCore",
        "tier": "GeneralPurpose",
        "dev": true
      },
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/SqlManagedInstances/sqlManagedInstance1",
      "name": "sqlManagedInstances1",
      "type": "Microsoft.AzureArcData/sqlManagedInstances"
    },
    {
      "properties": {
        "admin": "Admin user",
        "startTime": "Instance start time",
        "endTime": "Instance end time",
        "basicLoginInformation": {
          "username": "username"
        },
        "activeDirectoryInformation": {
          "keytabInformation": {}
        },
        "licenseType": "LicenseIncluded",
        "clusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s",
        "extensionId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s/providers/Microsoft.KubernetesConfiguration/extensions/extension",
        "k8sRaw": {
          "additionalProperty": 1234,
          "spec": {
            "replicas": 1,
            "scheduling": {
              "default": {
                "resources": {
                  "requests": {
                    "cpu": "1",
                    "memory": "8Gi",
                    "additionalProperty": "additionalValue"
                  },
                  "limits": {
                    "cpu": "1",
                    "memory": "8Gi",
                    "additionalProperty": "additionalValue"
                  }
                }
              }
            }
          }
        }
      },
      "location": "northeurope",
      "extendedLocation": {
        "type": "CustomLocation",
        "name": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.ExtendedLocation/customLocations/arclocation"
      },
      "systemData": {
        "createdBy": "user1",
        "createdByType": "User",
        "createdAt": "2020-01-01T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
      },
      "tags": {
        "mytag": "myval"
      },
      "sku": {
        "name": "vCore",
        "tier": "GeneralPurpose",
        "dev": true
      },
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/SqlManagedInstances/sqlManagedInstance2",
      "name": "sqlManagedInstances2",
      "type": "Microsoft.AzureArcData/sqlManagedInstances"
    }
  ]
}

Definitions

Name Description
ActiveDirectoryInformation

Active Directory information that related to the resource.

arcSqlManagedInstanceLicenseType

The license type to apply for this managed instance.

BasicLoginInformation

Username and password for basic login authentication.

Connector
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocation

The complex type of the extended location.

ExtendedLocationTypes

The type of the extended location.

K8sActiveDirectory

The kubernetes active directory information.

K8sNetworkSettings

The kubernetes network settings information.

K8sResourceRequirements

The kubernetes resource limits and requests used to restrict or reserve resource usage.

K8sScheduling

The kubernetes scheduling information.

K8sSchedulingOptions

The kubernetes scheduling options. It describes restrictions used to help Kubernetes select appropriate nodes to host the database service

K8sSecurity

The kubernetes security information.

K8sSettings

The kubernetes settings information.

k8stransparentDataEncryption

Transparent data encryption information.

KeytabInformation

Keytab used for authenticate with Active Directory.

SqlManagedInstance

A SqlManagedInstance.

SqlManagedInstanceK8sRaw

The raw kubernetes information.

SqlManagedInstanceK8sSpec

The kubernetes spec information.

SqlManagedInstanceListResult

A list of SqlManagedInstance.

SqlManagedInstanceProperties

Properties of sqlManagedInstance.

SqlManagedInstanceSku

The resource model definition representing SKU for Azure Managed Instance - Azure Arc

SqlManagedInstanceSkuName

The name of the SKU.

SqlManagedInstanceSkuTier

The pricing tier for the instance.

systemData

Metadata pertaining to creation and last modification of the resource.

ActiveDirectoryInformation

Active Directory information that related to the resource.

Name Type Description
keytabInformation

KeytabInformation

Keytab information that is used for the Sql Managed Instance when Active Directory authentication is used.

arcSqlManagedInstanceLicenseType

The license type to apply for this managed instance.

Value Description
BasePrice
LicenseIncluded
DisasterRecovery

BasicLoginInformation

Username and password for basic login authentication.

Name Type Description
password

string

Login password.

username

string

Login username.

Connector

Name Type Description
name

string

Name of the connector

namespace

string

Name space of the connector

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocation

The complex type of the extended location.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationTypes

The type of the extended location.

ExtendedLocationTypes

The type of the extended location.

Value Description
CustomLocation

K8sActiveDirectory

The kubernetes active directory information.

Name Type Description
accountName

string

Account name for AAD

connector

Connector

encryptionTypes

string[]

An array of encryption types

keytabSecret

string

Keytab secret used to authenticate with Active Directory.

K8sNetworkSettings

The kubernetes network settings information.

Name Type Description
forceencryption

integer (int32)

If 1, then SQL Server forces all connections to be encrypted. By default, this option is 0

tlsciphers

string

Specifies which ciphers are allowed by SQL Server for TLS

tlsprotocols

string

A comma-separated list of which TLS protocols are allowed by SQL Server

K8sResourceRequirements

The kubernetes resource limits and requests used to restrict or reserve resource usage.

Name Type Description
limits

object

Limits for a kubernetes resource type (e.g 'cpu', 'memory'). The 'cpu' request must be less than or equal to 'cpu' limit. Default 'cpu' is 2, minimum is 1. Default 'memory' is '4Gi', minimum is '2Gi. If sku.tier is GeneralPurpose, maximum 'cpu' is 24 and maximum 'memory' is '128Gi'.

requests

object

Requests for a kubernetes resource type (e.g 'cpu', 'memory'). The 'cpu' request must be less than or equal to 'cpu' limit. Default 'cpu' is 2, minimum is 1. Default 'memory' is '4Gi', minimum is '2Gi. If sku.tier is GeneralPurpose, maximum 'cpu' is 24 and maximum 'memory' is '128Gi'.

K8sScheduling

The kubernetes scheduling information.

Name Type Description
default

K8sSchedulingOptions

The kubernetes scheduling options. It describes restrictions used to help Kubernetes select appropriate nodes to host the database service

K8sSchedulingOptions

The kubernetes scheduling options. It describes restrictions used to help Kubernetes select appropriate nodes to host the database service

Name Type Description
resources

K8sResourceRequirements

The kubernetes resource limits and requests used to restrict or reserve resource usage.

K8sSecurity

The kubernetes security information.

Name Type Description
activeDirectory

K8sActiveDirectory

The kubernetes active directory information.

adminLoginSecret

string

Admin login secret key

serviceCertificateSecret

string

Service certificate secret used

transparentDataEncryption

k8stransparentDataEncryption

Transparent data encryption information.

K8sSettings

The kubernetes settings information.

Name Type Description
network

K8sNetworkSettings

The kubernetes network settings information.

k8stransparentDataEncryption

Transparent data encryption information.

Name Type Description
mode

string

Transparent data encryption mode. Can be Service Managed, Customer managed or disabled

protectorSecret

string

Protector secret for customer managed Transparent data encryption mode

KeytabInformation

Keytab used for authenticate with Active Directory.

Name Type Description
keytab

string

A base64-encoded keytab.

SqlManagedInstance

A SqlManagedInstance.

Name Type Description
extendedLocation

ExtendedLocation

The extendedLocation of the resource.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

SqlManagedInstanceProperties

null

sku

SqlManagedInstanceSku

Resource sku.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SqlManagedInstanceK8sRaw

The raw kubernetes information.

Name Type Description
spec

SqlManagedInstanceK8sSpec

The kubernetes spec information.

SqlManagedInstanceK8sSpec

The kubernetes spec information.

Name Type Description
replicas

integer (int32)

This option specifies the number of SQL Managed Instance replicas that will be deployed in your Kubernetes cluster for high availability purposes. If sku.tier is BusinessCritical, allowed values are '2' or '3' with default of '3'. If sku.tier is GeneralPurpose, replicas must be '1'.

scheduling

K8sScheduling

The kubernetes scheduling information.

security

K8sSecurity

The kubernetes security information.

settings

K8sSettings

The kubernetes settings information.

SqlManagedInstanceListResult

A list of SqlManagedInstance.

Name Type Description
nextLink

string

Link to retrieve next page of results.

value

SqlManagedInstance[]

Array of results.

SqlManagedInstanceProperties

Properties of sqlManagedInstance.

Name Type Default value Description
activeDirectoryInformation

ActiveDirectoryInformation

Active Directory information related to this SQL Managed Instance.

admin

string

The instance admin user

basicLoginInformation

BasicLoginInformation

Username and password for basic authentication.

clusterId

string

If a CustomLocation is provided, this contains the ARM id of the connected cluster the custom location belongs to.

dataControllerId

string

null

endTime

string

The instance end time

extensionId

string

If a CustomLocation is provided, this contains the ARM id of the extension the custom location belongs to.

k8sRaw

SqlManagedInstanceK8sRaw

The raw kubernetes information

lastUploadedDate

string (date-time)

Last uploaded date from Kubernetes cluster. Defaults to current date time

licenseType

arcSqlManagedInstanceLicenseType

BasePrice

The license type to apply for this managed instance.

provisioningState

string

The provisioning state of the Arc-enabled SQL Managed Instance resource.

startTime

string

The instance start time

SqlManagedInstanceSku

The resource model definition representing SKU for Azure Managed Instance - Azure Arc

Name Type Default value Description
capacity

integer (int32)

The SKU capacity

dev

boolean

True

Whether dev/test is enabled. When the dev field is set to true, the resource is used for dev/test purpose.

family

string

The SKU family

name

SqlManagedInstanceSkuName

The name of the SKU.

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

SqlManagedInstanceSkuTier

GeneralPurpose

The pricing tier for the instance.

SqlManagedInstanceSkuName

The name of the SKU.

Value Description
vCore

SqlManagedInstanceSkuTier

The pricing tier for the instance.

Value Description
GeneralPurpose
BusinessCritical

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.